about summary refs log tree commit diff
path: root/test/pamditherbw.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
commit270c5f0ef4747ad5a1a418659213514be6cd1bda (patch)
treee09259abd808ac7e9a4c2494e1ccefa0d08ef991 /test/pamditherbw.test
parent3e6bd495a661107cabb91df9e693151addae3f20 (diff)
downloadnetpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.gz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.xz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.zip
Miscellaneous test updates
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@3686 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pamditherbw.test')
-rwxr-xr-xtest/pamditherbw.test39
1 files changed, 26 insertions, 13 deletions
diff --git a/test/pamditherbw.test b/test/pamditherbw.test
index 7b646a88..76e175d7 100755
--- a/test/pamditherbw.test
+++ b/test/pamditherbw.test
@@ -40,21 +40,34 @@ pamditherbw -cluster8 ${test_red} | cksum
 
 echo "Test: Invalid"
 
+test_out=${tmpdir}/test_out
+
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-pamditherbw -fs -atkinson       ${test_red} || echo "Expected failure 1"
-pamditherbw -floyd -atkinson    ${test_red} || echo "Expected failure 2"
-pamditherbw -dither8  -cluster3 ${test_red} || echo "Expected failure 3"
-pamditherbw -cluster3 -cluster4 ${test_red} || echo "Expected failure 4"
-pamditherbw -cluster3 -cluster8 ${test_red} || echo "Expected failure 5"
-pamditherbw -cluster4 -cluster8 ${test_red} || echo "Expected failure 6"
-pamditherbw -clump=8            ${test_red} || echo "Expected failure 7"
-pamditherbw -fs -clump=8        ${test_red} || echo "Expected failure 8"
-pamditherbw -hilbert -clump=1   ${test_red} || echo "Expected failure 9"
-pamditherbw -th -value=-1       ${test_red} || echo "Expected failure 10"
-pamditherbw -th -value=1.1      ${test_red} || echo "Expected failure 11"
-
-rm ${test_red}
\ No newline at end of file
+pamditherbw -fs -atkinson       ${test_red} > ${test_out} || \
+ echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pamditherbw -floyd -atkinson    ${test_red} > ${test_out} || \
+ echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pamditherbw -dither8  -cluster3 ${test_red} > ${test_out} || \
+ echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pamditherbw -cluster3 -cluster4 ${test_red} > ${test_out} || \
+ echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+pamditherbw -cluster3 -cluster8 ${test_red} > ${test_out} || \
+ echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+pamditherbw -cluster4 -cluster8 ${test_red} > ${test_out} || \
+ echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+pamditherbw -clump=8            ${test_red} > ${test_out} || \
+ echo -n "Expected failure 7"; test -s ${test_out}; echo " "$?
+pamditherbw -fs -clump=8        ${test_red} > ${test_out} || \
+ echo -n "Expected failure 8"; test -s ${test_out}; echo " "$?
+pamditherbw -hilbert -clump=1   ${test_red} > ${test_out} || \
+ echo -n "Expected failure 9"; test -s ${test_out}; echo " "$?
+pamditherbw -th -value=-1       ${test_red} > ${test_out} || \
+ echo -n "Expected failure 10"; test -s ${test_out}; echo " "$?
+pamditherbw -th -value=1.1      ${test_red} > ${test_out} || \
+ echo -n "Expected failure 11"; test -s ${test_out}; echo " "$?
+
+rm ${test_red} ${test_out}